{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p><a href="{% url 'create_project' %}">Create a new project</a></p>
            {% if project_object.count == 0 %}
            <p>You are not assigned to any projects</p>
            {% else %}
            <table>
                <thead>
                    <tr>
                        <td>Name</td>
                        <td>Number of tasks</td>
                    </tr>
                </thead>
                <tbody>
                {% for project in project_object.all %}
                    <tr>
                        <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {% endif %}
        </div>
    </main>
</body>
{% endblock content %}
</html>
